* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;

    --primary: #1C9BF6;
    --supplement: #ED3237;
    --secondary: #FFFFFF;
    --footer: #0F172A;
}

body::-webkit-scrollbar {
    display: none;
}

body {
    scrollbar-width: none;
    -ms-overflow-style: none;
}

html {
    font-family: "Inter", sans-serif;
    font-size: clamp(15px, 0.3vw + 14px, 18px);
}

/* MAIN HEADER */
.header {
    display: flex;
    align-items: center;

    background-color: var(--primary);
    padding: 5px 10px;
    gap: 1rem;
}

.header_logo {
    width: clamp(50px, 4vw, 78px);
    height: auto;
}

.header_title {
    color: var(--supplement);
    font-size: clamp(1.4rem, 1.4vw + .8rem, 2rem);
    font-weight: bold;
}

.header_branding {
    display: flex;
    align-items: center;
    text-decoration: none;
    gap: min(0.75rem, 3%);
}

.header_navigation {
    display: flex;
    align-items: center;
}

.header_linksContainer {
    display: flex;
    align-items: center;
    height: 100%;
    width: 100%;
}

.header_linksContainer a {
    display: flex;
    align-items: center;

    font-size: clamp(.95rem, .8vw + .5rem, 1.15rem);
    text-decoration: none;
    color: var(--secondary);
    padding: 0 10px;
    transition: 0.3s;
}

.header_linksContainer a:hover {
    color: rgb(190, 190, 190);
    cursor: pointer;
}

#sidebar--active, .sidebarButton--close, .sidebarButton--open {
    display: none;
}

/* Sidebar media query */
@media(max-width: 600px) {
    .header {
        justify-content: space-between;
    }

    .header_linksContainer {
        flex-direction: column;
        align-items: flex-start;
        
        position: fixed;
        top: 0;
        right: -100%;
        z-index: 10;
        width: 200px;
        height: 100vh;

        background-color: var(--primary);
        box-shadow: -5px 0 5px rgba(0, 0, 0, 0.25);
        transition: 0.3s ease-in-out;
    }

    .header_linksContainer a {
        height: 50px;
        width: 100%;
        padding-left: 20px;
        cursor: pointer;
    }

    .header_linksContainer a:hover {
        background-color: #2677b0;
    }

    .sidebarButton--open {
        display: block;
    }
    .sidebarButton--close {
        padding: 20px 0 0 15px;
        display: block;
    }

    #sidebar--active:checked ~ .header_linksContainer {
        right: 0;
    }

    #sidebar--active:checked ~ #overlay {
        height: 100%;
        width: 100%;
        position: fixed;
        top: 0;
        left: 0;
        z-index: 9;
    }
}

/* FOOTER */
.footer {
    background-color: var(--footer);
    width: 100%;
    min-height: clamp(180px, 20vw, 300px);
    padding: clamp(2rem, 4vw, 4rem) clamp(1rem, 5vw, 5rem);
}

/* Website Posters Styles */
.poster {
    width: clamp(0px, 31.25vw, 1500px);
    height: auto;
    border-radius: 1.2vw;
    box-shadow: 8px 14px 16.8px rgba(0, 0, 0, 0.25);
}

@media(max-width: 600px) {
    .poster{
        display: none;
    }
}

/* Buttons Styles */
.blueButton {
    background-color: var(--primary);
    color: var(--secondary);
}

.whiteButton {
    background-color: var(--secondary);
    color: var(--primary);
}

.blueButton:hover, .whiteButton:hover {
    transform: translateY(-3px);
    box-shadow: 2px 10px 15px rgba(0, 0, 0, 0.25);
}

.blueButton, .whiteButton{
    width: clamp(150px, 18vw, 240px);
    height: clamp(42px, 3.5vw, 55px);
    font-size: clamp(0.95rem, 1vw + .5rem, 1.2rem);

    border: none;
    border-radius: clamp(8px, .8vw, 14px);

    box-shadow: 1px 7px 7px rgba(0,0,0,.35);
    cursor: pointer;
    transition: transform .3s ease, box-shadow .3s ease;
}